For the complete documentation index, see llms.txt. This page is also available as Markdown.

Templates

Create backup Template

post

Creates a backup Template. You can configure record selection using declarative, SOQL, or SQL filters

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
Body
namestringErforderlichExample: My new backup template
typestring · enumErforderlichExample: backupMögliche Werte:
descriptionstringOptionalExample: This is my template
Antworten
201Erfolg
application/json
messagestringErforderlich
post/api/v1/connections/{connectionId}/templates/backup
POST /api/v1/connections/{connectionId}/templates/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 547

{
  "name": "My new backup template",
  "type": "backup",
  "description": "This is my template",
  "templateSteps": [
    {
      "relationshipName": "text",
      "objectApiName": "Account",
      "label": "Account",
      "filterMode": "declarative",
      "fieldsDescribe": [
        {
          "name": "Name",
          "label": "Name",
          "type": "string",
          "isRequired": true,
          "isFilterable": true,
          "createable": true,
          "defaultedOnCreate": true,
          "nillable": true
        }
      ],
      "soqlFilter": "Name = 'TEST'",
      "customLogic": "",
      "declarativeFilter": [
        {
          "field": "Name",
          "label": "Account Name",
          "option": "equals",
          "value": "Test Account"
        }
      ],
      "skipRemove": false,
      "children": []
    }
  ]
}
{
  "message": "text"
}

Get list of Templates

get

Returns a paginated list of Templates with customizable page size

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
Abfrageparameter
searchstringOptional

Search term (max 80)

pagenumberErforderlich

Number of page (min 1)

Example: 1
limitnumberErforderlich

Limit of entities per page (min 1, max 2000)

Example: 50
sortBystring · enumOptionalExample: updatedAtMögliche Werte:
orderstring · enumOptionalExample: DESCMögliche Werte:
Antworten
200

Returns a paginated list of Templates

application/json
totalnumberErforderlich

Total number of entities.

Example: 1
backupTemplatesCountnumberErforderlichExample: 1
archiveTemplatesCountnumberErforderlichExample: 1
get/api/v1/connections/{connectionId}/templates
GET /api/v1/connections/{connectionId}/templates?page=1&limit=1&types=backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "name": "My new backup template",
      "type": "backup",
      "updatedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "backupTemplatesCount": 1,
  "archiveTemplatesCount": 1
}

Get backup Template by Id

get

Returns the Template by Id

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
idnumberErforderlich
Antworten
200

Returns the Template by Id

application/json
idnumberErforderlichExample: 1
namestringErforderlichExample: My new backup template
typestring · enumErforderlichExample: backupMögliche Werte:
descriptionstringOptionalExample: This is my template
get/api/v1/connections/{connectionId}/templates/backup/{id}
GET /api/v1/connections/{connectionId}/templates/backup/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "name": "My new backup template",
  "type": "backup",
  "description": "This is my template",
  "roots": [
    [
      {
        "relationshipName": "text",
        "objectApiName": "Account",
        "label": "Account",
        "soqlFilter": "Name = 'TEST'",
        "customLogic": "",
        "declarativeFilter": [
          {
            "field": "Name",
            "label": "Account Name",
            "option": "equals",
            "value": "Test Account"
          }
        ],
        "skipRemove": false,
        "id": 1,
        "level": 1,
        "filterMode": "declarative",
        "parentId": 1
      }
    ]
  ]
}

Zuletzt aktualisiert

War das hilfreich?